﻿@model IEnumerable<MVCShowsTV.Models.Season>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Show.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SeasonName)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Show.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.SeasonName)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.SeasonId }) |
            @Html.ActionLink("Details", "Details", new { id=item.SeasonId }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.SeasonId })
        </td>
    </tr>
}

</table>
